depends = ('ITKPyBase', 'MinimalPathExtraction', 'ITKTransform', 'ITKTestKernel', 'ITKStatistics', 'ITKSpatialObjects', 'ITKSmoothing', 'ITKRegistrationCommon', 'ITKRegionGrowing', 'ITKPDEDeformableRegistration', 'ITKOptimizers', 'ITKLabelVoting', 'ITKImageSources', 'ITKImageIntensity', 'ITKImageGradient', 'ITKImageFunction', 'ITKImageFilterBase', 'ITKImageFeature', 'ITKIOTransformBase', 'ITKIOSpatialObjects', 'ITKIOMeta', 'ITKIOImageBase', 'ITKFFT', 'ITKDistanceMap', 'ITKCommon', 'ITKBinaryMathematicalMorphology', 'ITKAnisotropicSmoothing', )
templates = (
  ('ComputeBinaryImageSimilarityMetrics', 'tube::ComputeBinaryImageSimilarityMetrics', 'tubeComputeBinaryImageSimilarityMetricsISS2', False, 'itk::Image<signed short, 2>'),
  ('ComputeBinaryImageSimilarityMetrics', 'tube::ComputeBinaryImageSimilarityMetrics', 'tubeComputeBinaryImageSimilarityMetricsIUC2', False, 'itk::Image<unsigned char, 2>'),
  ('ComputeBinaryImageSimilarityMetrics', 'tube::ComputeBinaryImageSimilarityMetrics', 'tubeComputeBinaryImageSimilarityMetricsIUS2', False, 'itk::Image<unsigned short, 2>'),
  ('ComputeBinaryImageSimilarityMetrics', 'tube::ComputeBinaryImageSimilarityMetrics', 'tubeComputeBinaryImageSimilarityMetricsISS3', False, 'itk::Image<signed short, 3>'),
  ('ComputeBinaryImageSimilarityMetrics', 'tube::ComputeBinaryImageSimilarityMetrics', 'tubeComputeBinaryImageSimilarityMetricsIUC3', False, 'itk::Image<unsigned char, 3>'),
  ('ComputeBinaryImageSimilarityMetrics', 'tube::ComputeBinaryImageSimilarityMetrics', 'tubeComputeBinaryImageSimilarityMetricsIUS3', False, 'itk::Image<unsigned short, 3>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsISS2', False, 'itk::Image<signed short, 2>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsIUC2', False, 'itk::Image<unsigned char, 2>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsIUS2', False, 'itk::Image<unsigned short, 2>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsIF2', False, 'itk::Image<float, 2>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsID2', False, 'itk::Image<double, 2>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsISS3', False, 'itk::Image<signed short, 3>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsIUC3', False, 'itk::Image<unsigned char, 3>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsIUS3', False, 'itk::Image<unsigned short, 3>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsIF3', False, 'itk::Image<float, 3>'),
  ('ComputeImageSimilarityMetrics', 'tube::ComputeImageSimilarityMetrics', 'tubeComputeImageSimilarityMetricsID3', False, 'itk::Image<double, 3>'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsSS2', False, 'signed short, 2'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsUC2', False, 'unsigned char, 2'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsUS2', False, 'unsigned short, 2'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsF2', False, 'float, 2'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsD2', False, 'double, 2'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsSS3', False, 'signed short, 3'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsUC3', False, 'unsigned char, 3'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsUS3', False, 'unsigned short, 3'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsF3', False, 'float, 3'),
  ('ComputeImageStatistics', 'tube::ComputeImageStatistics', 'tubeComputeImageStatisticsD3', False, 'double, 3'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersSS2', False, 'signed short, 2'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersUC2', False, 'unsigned char, 2'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersUS2', False, 'unsigned short, 2'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersF2', False, 'float, 2'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersD2', False, 'double, 2'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersSS3', False, 'signed short, 3'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersUC3', False, 'unsigned char, 3'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersUS3', False, 'unsigned short, 3'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersF3', False, 'float, 3'),
  ('ComputeSegmentTubesParameters', 'tube::ComputeSegmentTubesParameters', 'tubeComputeSegmentTubesParametersD3', False, 'double, 3'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSSS2', False, 'itk::Image<signed short,2>,itk::Image<signed short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSUC2', False, 'itk::Image<signed short,2>,itk::Image<unsigned char,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSUS2', False, 'itk::Image<signed short,2>,itk::Image<unsigned short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSF2', False, 'itk::Image<signed short,2>,itk::Image<float,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSD2', False, 'itk::Image<signed short,2>,itk::Image<double,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCSS2', False, 'itk::Image<unsigned char,2>,itk::Image<signed short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCUC2', False, 'itk::Image<unsigned char,2>,itk::Image<unsigned char,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCUS2', False, 'itk::Image<unsigned char,2>,itk::Image<unsigned short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCF2', False, 'itk::Image<unsigned char,2>,itk::Image<float,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCD2', False, 'itk::Image<unsigned char,2>,itk::Image<double,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSSS2', False, 'itk::Image<unsigned short,2>,itk::Image<signed short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSUC2', False, 'itk::Image<unsigned short,2>,itk::Image<unsigned char,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSUS2', False, 'itk::Image<unsigned short,2>,itk::Image<unsigned short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSF2', False, 'itk::Image<unsigned short,2>,itk::Image<float,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSD2', False, 'itk::Image<unsigned short,2>,itk::Image<double,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFSS2', False, 'itk::Image<float,2>,itk::Image<signed short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFUC2', False, 'itk::Image<float,2>,itk::Image<unsigned char,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFUS2', False, 'itk::Image<float,2>,itk::Image<unsigned short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFF2', False, 'itk::Image<float,2>,itk::Image<float,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFD2', False, 'itk::Image<float,2>,itk::Image<double,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDSS2', False, 'itk::Image<double,2>,itk::Image<signed short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDUC2', False, 'itk::Image<double,2>,itk::Image<unsigned char,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDUS2', False, 'itk::Image<double,2>,itk::Image<unsigned short,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDF2', False, 'itk::Image<double,2>,itk::Image<float,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDD2', False, 'itk::Image<double,2>,itk::Image<double,2>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSSS3', False, 'itk::Image<signed short,3>,itk::Image<signed short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSUC3', False, 'itk::Image<signed short,3>,itk::Image<unsigned char,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSUS3', False, 'itk::Image<signed short,3>,itk::Image<unsigned short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSF3', False, 'itk::Image<signed short,3>,itk::Image<float,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskSSD3', False, 'itk::Image<signed short,3>,itk::Image<double,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCSS3', False, 'itk::Image<unsigned char,3>,itk::Image<signed short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCUC3', False, 'itk::Image<unsigned char,3>,itk::Image<unsigned char,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCUS3', False, 'itk::Image<unsigned char,3>,itk::Image<unsigned short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCF3', False, 'itk::Image<unsigned char,3>,itk::Image<float,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUCD3', False, 'itk::Image<unsigned char,3>,itk::Image<double,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSSS3', False, 'itk::Image<unsigned short,3>,itk::Image<signed short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSUC3', False, 'itk::Image<unsigned short,3>,itk::Image<unsigned char,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSUS3', False, 'itk::Image<unsigned short,3>,itk::Image<unsigned short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSF3', False, 'itk::Image<unsigned short,3>,itk::Image<float,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskUSD3', False, 'itk::Image<unsigned short,3>,itk::Image<double,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFSS3', False, 'itk::Image<float,3>,itk::Image<signed short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFUC3', False, 'itk::Image<float,3>,itk::Image<unsigned char,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFUS3', False, 'itk::Image<float,3>,itk::Image<unsigned short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFF3', False, 'itk::Image<float,3>,itk::Image<float,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskFD3', False, 'itk::Image<float,3>,itk::Image<double,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDSS3', False, 'itk::Image<double,3>,itk::Image<signed short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDUC3', False, 'itk::Image<double,3>,itk::Image<unsigned char,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDUS3', False, 'itk::Image<double,3>,itk::Image<unsigned short,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDF3', False, 'itk::Image<double,3>,itk::Image<float,3>'),
  ('ComputeTrainingMask', 'tube::ComputeTrainingMask', 'tubeComputeTrainingMaskDD3', False, 'itk::Image<double,3>,itk::Image<double,3>'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageSS2', False, 'signed short, 2'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageSS3', False, 'signed short, 3'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageUC2', False, 'unsigned char, 2'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageUC3', False, 'unsigned char, 3'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageUS2', False, 'unsigned short, 2'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageUS3', False, 'unsigned short, 3'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageF2', False, 'float, 2'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageF3', False, 'float, 3'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageD2', False, 'double, 2'),
  ('ComputeTubeFlyThroughImage', 'tube::ComputeTubeFlyThroughImage', 'tubeComputeTubeFlyThroughImageD3', False, 'double, 3'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresSS2', False, 'signed short, 2'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresSS3', False, 'signed short, 3'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresUC2', False, 'unsigned char, 2'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresUC3', False, 'unsigned char, 3'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresUS2', False, 'unsigned short, 2'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresUS3', False, 'unsigned short, 3'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresF2', False, 'float, 2'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresF3', False, 'float, 3'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresD2', False, 'double, 2'),
  ('ComputeTubeMeasures', 'tube::ComputeTubeMeasures', 'tubeComputeTubeMeasuresD3', False, 'double, 3'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVISS2ISS2', False, 'itk::Image<signed short, 2>, itk::Image<signed short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVISS2IUC2', False, 'itk::Image<signed short, 2>, itk::Image<unsigned char, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVISS2IUS2', False, 'itk::Image<signed short, 2>, itk::Image<unsigned short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUC2ISS2', False, 'itk::Image<unsigned char, 2>, itk::Image<signed short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUC2IUC2', False, 'itk::Image<unsigned char, 2>, itk::Image<unsigned char, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUC2IUS2', False, 'itk::Image<unsigned char, 2>, itk::Image<unsigned short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUS2ISS2', False, 'itk::Image<unsigned short, 2>, itk::Image<signed short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUS2IUC2', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned char, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUS2IUS2', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIF2ISS2', False, 'itk::Image<float, 2>, itk::Image<signed short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIF2IUC2', False, 'itk::Image<float, 2>, itk::Image<unsigned char, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIF2IUS2', False, 'itk::Image<float, 2>, itk::Image<unsigned short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVID2ISS2', False, 'itk::Image<double, 2>, itk::Image<signed short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVID2IUC2', False, 'itk::Image<double, 2>, itk::Image<unsigned char, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVID2IUS2', False, 'itk::Image<double, 2>, itk::Image<unsigned short, 2>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVISS3ISS3', False, 'itk::Image<signed short, 3>, itk::Image<signed short, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVISS3IUC3', False, 'itk::Image<signed short, 3>, itk::Image<unsigned char, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVISS3IUS3', False, 'itk::Image<signed short, 3>, itk::Image<unsigned short, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUC3ISS3', False, 'itk::Image<unsigned char, 3>, itk::Image<signed short, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUC3IUC3', False, 'itk::Image<unsigned char, 3>, itk::Image<unsigned char, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUC3IUS3', False, 'itk::Image<unsigned char, 3>, itk::Image<unsigned short, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUS3ISS3', False, 'itk::Image<unsigned short, 3>, itk::Image<signed short, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUS3IUC3', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned char, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIUS3IUS3', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIF3ISS3', False, 'itk::Image<float, 3>, itk::Image<signed short, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIF3IUC3', False, 'itk::Image<float, 3>, itk::Image<unsigned char, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVIF3IUS3', False, 'itk::Image<float, 3>, itk::Image<unsigned short, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVID3ISS3', False, 'itk::Image<double, 3>, itk::Image<signed short, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVID3IUC3', False, 'itk::Image<double, 3>, itk::Image<unsigned char, 3>'),
  ('ConvertImagesToCSV', 'tube::ConvertImagesToCSV', 'tubeConvertImagesToCSVID3IUS3', False, 'itk::Image<double, 3>, itk::Image<unsigned short, 3>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListISS2IVF22', False, 'itk::Image<signed short, 2>, itk::Image<itk::Vector< float,2 >, 2>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListIUC2IVF22', False, 'itk::Image<unsigned char, 2>, itk::Image<itk::Vector< float,2 >, 2>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListIUS2IVF22', False, 'itk::Image<unsigned short, 2>, itk::Image<itk::Vector< float,2 >, 2>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListIF2IVF22', False, 'itk::Image<float, 2>, itk::Image<itk::Vector< float,2 >, 2>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListID2IVF22', False, 'itk::Image<double, 2>, itk::Image<itk::Vector< float,2 >, 2>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListISS3IVF33', False, 'itk::Image<signed short, 3>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListIUC3IVF33', False, 'itk::Image<unsigned char, 3>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListIUS3IVF33', False, 'itk::Image<unsigned short, 3>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListIF3IVF33', False, 'itk::Image<float, 3>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('ConvertShrunkenSeedImageToList', 'tube::ConvertShrunkenSeedImageToList', 'tubeConvertShrunkenSeedImageToListID3IVF33', False, 'itk::Image<double, 3>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageISS2ISS2', False, 'itk::Image<signed short, 2>, itk::Image<signed short, 2>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageIUC2IUC2', False, 'itk::Image<unsigned char, 2>, itk::Image<unsigned char, 2>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageIUS2IUS2', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned short, 2>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageIF2IF2', False, 'itk::Image<float, 2>, itk::Image<float, 2>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageID2ID2', False, 'itk::Image<double, 2>, itk::Image<double, 2>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageISS3ISS3', False, 'itk::Image<signed short, 3>, itk::Image<signed short, 3>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageIUC3IUC3', False, 'itk::Image<unsigned char, 3>, itk::Image<unsigned char, 3>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageIUS3IUS3', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageIF3IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>'),
  ('ConvertSpatialGraphToImage', 'tube::ConvertSpatialGraphToImage', 'tubeConvertSpatialGraphToImageID3ID3', False, 'itk::Image<double, 3>, itk::Image<double, 3>'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageSS2', False, 'signed short, 2'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageUC2', False, 'unsigned char, 2'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageUS2', False, 'unsigned short, 2'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageF2', False, 'float, 2'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageD2', False, 'double, 2'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageSS3', False, 'signed short, 3'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageUC3', False, 'unsigned char, 3'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageUS3', False, 'unsigned short, 3'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageF3', False, 'float, 3'),
  ('ConvertTubesToDensityImage', 'tube::ConvertTubesToDensityImage', 'tubeConvertTubesToDensityImageD3', False, 'double, 3'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageSS2', False, 'itk::Image<signed short,2>'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageUC2', False, 'itk::Image<unsigned char,2>'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageUS2', False, 'itk::Image<unsigned short,2>'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageF2', False, 'itk::Image<float,2>'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageD2', False, 'itk::Image<double,2>'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageSS3', False, 'itk::Image<signed short,3>'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageUC3', False, 'itk::Image<unsigned char,3>'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageUS3', False, 'itk::Image<unsigned short,3>'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageF3', False, 'itk::Image<float,3>'),
  ('ConvertTubesToImage', 'tube::ConvertTubesToImage', 'tubeConvertTubesToImageD3', False, 'itk::Image<double,3>'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphSS2', False, 'signed short, 2'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphUC2', False, 'unsigned char, 2'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphUS2', False, 'unsigned short, 2'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphF2', False, 'float, 2'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphD2', False, 'double, 2'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphSS3', False, 'signed short, 3'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphUC3', False, 'unsigned char, 3'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphUS3', False, 'unsigned short, 3'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphF3', False, 'float, 3'),
  ('ConvertTubesToTubeGraph', 'tube::ConvertTubesToTubeGraph', 'tubeConvertTubesToTubeGraphD3', False, 'double, 3'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageISS2ISS2', False, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageISS3ISS3', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageIUC2IUC2', False, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageIUC3IUC3', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageIUS2IUS2', False, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageIUS3IUS3', False, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageIF2IF2', False, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageID2ID2', False, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('CropImage', 'tube::CropImage', 'tubeCropImageID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('CropTubes', 'tube::CropTubes', 'tubeCropTubes2', False, '2'),
  ('CropTubes', 'tube::CropTubes', 'tubeCropTubes3', False, '3'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorSS2', False, 'signed short, 2'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorSS3', False, 'signed short, 3'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorUC2', False, 'unsigned char, 2'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorUC3', False, 'unsigned char, 3'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorUS2', False, 'unsigned short, 2'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorUS3', False, 'unsigned short, 3'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorF2', False, 'float, 2'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorF3', False, 'float, 3'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorD2', False, 'double, 2'),
  ('EnhanceContrastUsingPrior', 'tube::EnhanceContrastUsingPrior', 'tubeEnhanceContrastUsingPriorD3', False, 'double, 3'),
  ('EnhanceEdgesUsingDiffusion', 'tube::EnhanceEdgesUsingDiffusion', 'tubeEnhanceEdgesUsingDiffusionIF3IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>'),
  ('EnhanceEdgesUsingDiffusion', 'tube::EnhanceEdgesUsingDiffusion', 'tubeEnhanceEdgesUsingDiffusionID3ID3', False, 'itk::Image<double, 3>, itk::Image<double, 3>'),
  ('EnhanceTubesUsingDiffusion', 'tube::EnhanceTubesUsingDiffusion', 'tubeEnhanceTubesUsingDiffusionSS2', False, 'signed short, 2'),
  ('EnhanceTubesUsingDiffusion', 'tube::EnhanceTubesUsingDiffusion', 'tubeEnhanceTubesUsingDiffusionUC2', False, 'unsigned char, 2'),
  ('EnhanceTubesUsingDiffusion', 'tube::EnhanceTubesUsingDiffusion', 'tubeEnhanceTubesUsingDiffusionUS2', False, 'unsigned short, 2'),
  ('EnhanceTubesUsingDiffusion', 'tube::EnhanceTubesUsingDiffusion', 'tubeEnhanceTubesUsingDiffusionF2', False, 'float, 2'),
  ('EnhanceTubesUsingDiffusion', 'tube::EnhanceTubesUsingDiffusion', 'tubeEnhanceTubesUsingDiffusionD2', False, 'double, 2'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSSS2', False, 'itk::Image<signed short,2>,itk::Image<signed short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSUC2', False, 'itk::Image<signed short,2>,itk::Image<unsigned char,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSUS2', False, 'itk::Image<signed short,2>,itk::Image<unsigned short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSF2', False, 'itk::Image<signed short,2>,itk::Image<float,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSD2', False, 'itk::Image<signed short,2>,itk::Image<double,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCSS2', False, 'itk::Image<unsigned char,2>,itk::Image<signed short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCUC2', False, 'itk::Image<unsigned char,2>,itk::Image<unsigned char,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCUS2', False, 'itk::Image<unsigned char,2>,itk::Image<unsigned short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCF2', False, 'itk::Image<unsigned char,2>,itk::Image<float,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCD2', False, 'itk::Image<unsigned char,2>,itk::Image<double,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSSS2', False, 'itk::Image<unsigned short,2>,itk::Image<signed short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSUC2', False, 'itk::Image<unsigned short,2>,itk::Image<unsigned char,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSUS2', False, 'itk::Image<unsigned short,2>,itk::Image<unsigned short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSF2', False, 'itk::Image<unsigned short,2>,itk::Image<float,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSD2', False, 'itk::Image<unsigned short,2>,itk::Image<double,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFSS2', False, 'itk::Image<float,2>,itk::Image<signed short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFUC2', False, 'itk::Image<float,2>,itk::Image<unsigned char,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFUS2', False, 'itk::Image<float,2>,itk::Image<unsigned short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFF2', False, 'itk::Image<float,2>,itk::Image<float,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFD2', False, 'itk::Image<float,2>,itk::Image<double,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDSS2', False, 'itk::Image<double,2>,itk::Image<signed short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDUC2', False, 'itk::Image<double,2>,itk::Image<unsigned char,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDUS2', False, 'itk::Image<double,2>,itk::Image<unsigned short,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDF2', False, 'itk::Image<double,2>,itk::Image<float,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDD2', False, 'itk::Image<double,2>,itk::Image<double,2>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSSS3', False, 'itk::Image<signed short,3>,itk::Image<signed short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSUC3', False, 'itk::Image<signed short,3>,itk::Image<unsigned char,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSUS3', False, 'itk::Image<signed short,3>,itk::Image<unsigned short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSF3', False, 'itk::Image<signed short,3>,itk::Image<float,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisSSD3', False, 'itk::Image<signed short,3>,itk::Image<double,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCSS3', False, 'itk::Image<unsigned char,3>,itk::Image<signed short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCUC3', False, 'itk::Image<unsigned char,3>,itk::Image<unsigned char,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCUS3', False, 'itk::Image<unsigned char,3>,itk::Image<unsigned short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCF3', False, 'itk::Image<unsigned char,3>,itk::Image<float,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUCD3', False, 'itk::Image<unsigned char,3>,itk::Image<double,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSSS3', False, 'itk::Image<unsigned short,3>,itk::Image<signed short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSUC3', False, 'itk::Image<unsigned short,3>,itk::Image<unsigned char,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSUS3', False, 'itk::Image<unsigned short,3>,itk::Image<unsigned short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSF3', False, 'itk::Image<unsigned short,3>,itk::Image<float,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisUSD3', False, 'itk::Image<unsigned short,3>,itk::Image<double,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFSS3', False, 'itk::Image<float,3>,itk::Image<signed short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFUC3', False, 'itk::Image<float,3>,itk::Image<unsigned char,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFUS3', False, 'itk::Image<float,3>,itk::Image<unsigned short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFF3', False, 'itk::Image<float,3>,itk::Image<float,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisFD3', False, 'itk::Image<float,3>,itk::Image<double,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDSS3', False, 'itk::Image<double,3>,itk::Image<signed short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDUC3', False, 'itk::Image<double,3>,itk::Image<unsigned char,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDUS3', False, 'itk::Image<double,3>,itk::Image<unsigned short,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDF3', False, 'itk::Image<double,3>,itk::Image<float,3>'),
  ('EnhanceTubesUsingDiscriminantAnalysis', 'tube::EnhanceTubesUsingDiscriminantAnalysis', 'tubeEnhanceTubesUsingDiscriminantAnalysisDD3', False, 'itk::Image<double,3>,itk::Image<double,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSSS2', False, 'itk::Image<signed short,2>,itk::Image<signed short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSSS3', False, 'itk::Image<signed short,3>,itk::Image<signed short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSUC2', False, 'itk::Image<signed short,2>,itk::Image<unsigned char,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSUC3', False, 'itk::Image<signed short,3>,itk::Image<unsigned char,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSUS2', False, 'itk::Image<signed short,2>,itk::Image<unsigned short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSUS3', False, 'itk::Image<signed short,3>,itk::Image<unsigned short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSF2', False, 'itk::Image<signed short,2>,itk::Image<float,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSF3', False, 'itk::Image<signed short,3>,itk::Image<float,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSD2', False, 'itk::Image<signed short,2>,itk::Image<double,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathSSD3', False, 'itk::Image<signed short,3>,itk::Image<double,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCSS2', False, 'itk::Image<unsigned char,2>,itk::Image<signed short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCSS3', False, 'itk::Image<unsigned char,3>,itk::Image<signed short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCUC2', False, 'itk::Image<unsigned char,2>,itk::Image<unsigned char,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCUC3', False, 'itk::Image<unsigned char,3>,itk::Image<unsigned char,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCUS2', False, 'itk::Image<unsigned char,2>,itk::Image<unsigned short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCUS3', False, 'itk::Image<unsigned char,3>,itk::Image<unsigned short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCF2', False, 'itk::Image<unsigned char,2>,itk::Image<float,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCF3', False, 'itk::Image<unsigned char,3>,itk::Image<float,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCD2', False, 'itk::Image<unsigned char,2>,itk::Image<double,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUCD3', False, 'itk::Image<unsigned char,3>,itk::Image<double,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSSS2', False, 'itk::Image<unsigned short,2>,itk::Image<signed short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSSS3', False, 'itk::Image<unsigned short,3>,itk::Image<signed short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSUC2', False, 'itk::Image<unsigned short,2>,itk::Image<unsigned char,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSUC3', False, 'itk::Image<unsigned short,3>,itk::Image<unsigned char,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSUS2', False, 'itk::Image<unsigned short,2>,itk::Image<unsigned short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSUS3', False, 'itk::Image<unsigned short,3>,itk::Image<unsigned short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSF2', False, 'itk::Image<unsigned short,2>,itk::Image<float,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSF3', False, 'itk::Image<unsigned short,3>,itk::Image<float,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSD2', False, 'itk::Image<unsigned short,2>,itk::Image<double,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathUSD3', False, 'itk::Image<unsigned short,3>,itk::Image<double,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFSS2', False, 'itk::Image<float,2>,itk::Image<signed short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFSS3', False, 'itk::Image<float,3>,itk::Image<signed short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFUC2', False, 'itk::Image<float,2>,itk::Image<unsigned char,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFUC3', False, 'itk::Image<float,3>,itk::Image<unsigned char,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFUS2', False, 'itk::Image<float,2>,itk::Image<unsigned short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFUS3', False, 'itk::Image<float,3>,itk::Image<unsigned short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFF2', False, 'itk::Image<float,2>,itk::Image<float,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFF3', False, 'itk::Image<float,3>,itk::Image<float,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFD2', False, 'itk::Image<float,2>,itk::Image<double,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathFD3', False, 'itk::Image<float,3>,itk::Image<double,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDSS2', False, 'itk::Image<double,2>,itk::Image<signed short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDSS3', False, 'itk::Image<double,3>,itk::Image<signed short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDUC2', False, 'itk::Image<double,2>,itk::Image<unsigned char,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDUC3', False, 'itk::Image<double,3>,itk::Image<unsigned char,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDUS2', False, 'itk::Image<double,2>,itk::Image<unsigned short,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDUS3', False, 'itk::Image<double,3>,itk::Image<unsigned short,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDF2', False, 'itk::Image<double,2>,itk::Image<float,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDF3', False, 'itk::Image<double,3>,itk::Image<float,3>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDD2', False, 'itk::Image<double,2>,itk::Image<double,2>'),
  ('ImageMath', 'tube::ImageMath', 'tubeImageMathDD3', False, 'itk::Image<double,3>,itk::Image<double,3>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesISS2', False, 'itk::Image<signed short, 2>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesISS3', False, 'itk::Image<signed short, 3>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesIUC2', False, 'itk::Image<unsigned char, 2>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesIUC3', False, 'itk::Image<unsigned char, 3>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesIUS2', False, 'itk::Image<unsigned short, 2>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesIUS3', False, 'itk::Image<unsigned short, 3>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesIF2', False, 'itk::Image<float, 2>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesIF3', False, 'itk::Image<float, 3>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesID2', False, 'itk::Image<double, 2>'),
  ('MergeAdjacentImages', 'tube::MergeAdjacentImages', 'tubeMergeAdjacentImagesID3', False, 'itk::Image<double, 3>'),
  ('RegisterImages', 'tube::RegisterImages', 'tubeRegisterImagesSS3', False, 'itk::Image<signed short,3>'),
  ('RegisterImages', 'tube::RegisterImages', 'tubeRegisterImagesUC3', False, 'itk::Image<unsigned char,3>'),
  ('RegisterImages', 'tube::RegisterImages', 'tubeRegisterImagesUS3', False, 'itk::Image<unsigned short,3>'),
  ('RegisterImages', 'tube::RegisterImages', 'tubeRegisterImagesF3', False, 'itk::Image<float,3>'),
  ('RegisterImages', 'tube::RegisterImages', 'tubeRegisterImagesD3', False, 'itk::Image<double,3>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageSS2', False, 'itk::Image<signed short,2>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageSS3', False, 'itk::Image<signed short,3>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageUC2', False, 'itk::Image<unsigned char,2>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageUC3', False, 'itk::Image<unsigned char,3>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageUS2', False, 'itk::Image<unsigned short,2>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageUS3', False, 'itk::Image<unsigned short,3>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageF2', False, 'itk::Image<float,2>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageF3', False, 'itk::Image<float,3>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageD2', False, 'itk::Image<double,2>'),
  ('ResampleImage', 'tube::ResampleImage', 'tubeResampleImageD3', False, 'itk::Image<double,3>'),
  ('SegmentBinaryImageSkeleton', 'tube::SegmentBinaryImageSkeleton', 'tubeSegmentBinaryImageSkeletonUC2', False, 'unsigned char, 2'),
  ('SegmentBinaryImageSkeleton', 'tube::SegmentBinaryImageSkeleton', 'tubeSegmentBinaryImageSkeletonUS2', False, 'unsigned short, 2'),
  ('SegmentBinaryImageSkeleton', 'tube::SegmentBinaryImageSkeleton', 'tubeSegmentBinaryImageSkeletonUC3', False, 'unsigned char, 3'),
  ('SegmentBinaryImageSkeleton', 'tube::SegmentBinaryImageSkeleton', 'tubeSegmentBinaryImageSkeletonUS3', False, 'unsigned short, 3'),
  ('SegmentBinaryImageSkeleton3D', 'tube::SegmentBinaryImageSkeleton3D', 'tubeSegmentBinaryImageSkeleton3DUC', False, 'unsigned char'),
  ('SegmentBinaryImageSkeleton3D', 'tube::SegmentBinaryImageSkeleton3D', 'tubeSegmentBinaryImageSkeleton3DUS', False, 'unsigned short'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath2SS', False, '2, signed short'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath2UC', False, '2, unsigned char'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath2US', False, '2, unsigned short'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath2F', False, '2, float'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath2D', False, '2, double'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath3SS', False, '3, signed short'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath3UC', False, '3, unsigned char'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath3US', False, '3, unsigned short'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath3F', False, '3, float'),
  ('SegmentTubeUsingMinimalPath', 'tube::SegmentTubeUsingMinimalPath', 'tubeSegmentTubeUsingMinimalPath3D', False, '3, double'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesISS2', False, 'itk::Image<signed short, 2>'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesIUC2', False, 'itk::Image<unsigned char, 2>'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesIUS2', False, 'itk::Image<unsigned short, 2>'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesIF2', False, 'itk::Image<float, 2>'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesID2', False, 'itk::Image<double, 2>'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesISS3', False, 'itk::Image<signed short, 3>'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesIUC3', False, 'itk::Image<unsigned char, 3>'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesIUS3', False, 'itk::Image<unsigned short, 3>'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesIF3', False, 'itk::Image<float, 3>'),
  ('SegmentTubes', 'tube::SegmentTubes', 'tubeSegmentTubesID3', False, 'itk::Image<double, 3>'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS2SS', False, 'signed short, 2, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS2UC', False, 'signed short, 2, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS2US', False, 'signed short, 2, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS2F', False, 'signed short, 2, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS2D', False, 'signed short, 2, double'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS3SS', False, 'signed short, 3, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS3UC', False, 'signed short, 3, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS3US', False, 'signed short, 3, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS3F', False, 'signed short, 3, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdSS3D', False, 'signed short, 3, double'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC2SS', False, 'unsigned char, 2, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC2UC', False, 'unsigned char, 2, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC2US', False, 'unsigned char, 2, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC2F', False, 'unsigned char, 2, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC2D', False, 'unsigned char, 2, double'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC3SS', False, 'unsigned char, 3, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC3UC', False, 'unsigned char, 3, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC3US', False, 'unsigned char, 3, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC3F', False, 'unsigned char, 3, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUC3D', False, 'unsigned char, 3, double'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS2SS', False, 'unsigned short, 2, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS2UC', False, 'unsigned short, 2, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS2US', False, 'unsigned short, 2, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS2F', False, 'unsigned short, 2, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS2D', False, 'unsigned short, 2, double'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS3SS', False, 'unsigned short, 3, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS3UC', False, 'unsigned short, 3, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS3US', False, 'unsigned short, 3, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS3F', False, 'unsigned short, 3, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdUS3D', False, 'unsigned short, 3, double'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF2SS', False, 'float, 2, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF2UC', False, 'float, 2, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF2US', False, 'float, 2, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF2F', False, 'float, 2, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF2D', False, 'float, 2, double'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF3SS', False, 'float, 3, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF3UC', False, 'float, 3, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF3US', False, 'float, 3, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF3F', False, 'float, 3, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdF3D', False, 'float, 3, double'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD2SS', False, 'double, 2, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD2UC', False, 'double, 2, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD2US', False, 'double, 2, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD2F', False, 'double, 2, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD2D', False, 'double, 2, double'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD3SS', False, 'double, 3, signed short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD3UC', False, 'double, 3, unsigned char'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD3US', False, 'double, 3, unsigned short'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD3F', False, 'double, 3, float'),
  ('SegmentUsingOtsuThreshold', 'tube::SegmentUsingOtsuThreshold', 'tubeSegmentUsingOtsuThresholdD3D', False, 'double, 3, double'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingISS2ISS2', False, 'itk::Image<signed short, 2>, itk::Image<signed short, 2>'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingIUC2IUC2', False, 'itk::Image<unsigned char, 2>, itk::Image<unsigned char, 2>'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingIUS2IUS2', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned short, 2>'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingIF2IF2', False, 'itk::Image<float, 2>, itk::Image<float, 2>'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingID2ID2', False, 'itk::Image<double, 2>, itk::Image<double, 2>'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingISS3ISS3', False, 'itk::Image<signed short, 3>, itk::Image<signed short, 3>'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingIUC3IUC3', False, 'itk::Image<unsigned char, 3>, itk::Image<unsigned char, 3>'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingIUS3IUS3', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingIF3IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>'),
  ('ShrinkImageWithBlending', 'tube::ShrinkImageWithBlending', 'tubeShrinkImageWithBlendingID3ID3', False, 'itk::Image<double, 3>, itk::Image<double, 3>'),
)
snake_case_functions = ('register_images', 'convert_tubes_to_image', 'segment_tubes', 'segment_binary_image_skeleton3_d', 'compute_tube_measures', 'compute_image_similarity_metrics', 'image_math', 'convert_tubes_to_tube_graph', 'shrink_image_with_blending', 'convert_images_to_csv', 'crop_tubes', 'enhance_edges_using_diffusion', 'compute_image_statistics', 'merge_adjacent_images', 'segment_using_otsu_threshold', 'crop_image', 'resample_image', 'enhance_tubes_using_discriminant_analysis', 'segment_binary_image_skeleton', 'segment_tube_using_minimal_path', 'convert_spatial_graph_to_image', 'compute_binary_image_similarity_metrics', 'enhance_tubes_using_diffusion', 'compute_training_mask', 'compute_tube_fly_through_image', 'enhance_contrast_using_prior', 'convert_shrunken_seed_image_to_list', 'convert_tubes_to_density_image', 'compute_segment_tubes_parameters', )
